## BtSettingsDialog BtSettingsDialog — class for the editor settings dialog |

## Functions

BtSettingsDialog * | bt_settings_dialog_new ()

## Properties

BtSettingsPage | page | Read / Write
GtkWidget * | page-widget | Read

## Types and Values

struct | BtSettingsDialog
enum | BtSettingsPage

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── BtSettingsDialog

## Implemented Interfaces

BtSettingsDialog implements AtkImplementorIface and GtkBuildable.

## Includes

    #include "bt-edit.h"

## Description

Provides UI to access the BtSettings.

## Functions

### bt_settings_dialog_new ()

    BtSettingsDialog *
    bt_settings_dialog_new (void);

Create a new instance

#### Returns

the new instance

## Types and Values

### struct BtSettingsDialog

    struct BtSettingsDialog;

the root window for the editor application

### enum BtSettingsPage

Ids for the setting pages.

#### Members

BT_SETTINGS_PAGE_AUDIO_DEVICES | audio devices |
BT_SETTINGS_PAGE_DIRECTORIES | directories |
BT_SETTINGS_PAGE_INTERACTION_CONTROLLER | interaction controller |
BT_SETTINGS_PAGE_PLAYBACK_CONTROLLER | playback controller |
BT_SETTINGS_PAGE_SHORTCUTS | shortcuts |
BT_SETTINGS_PAGE_UI | themes and colors |

## Property Details

### The `“page”` property

      “page”                     BtSettingsPage

Current settings page.

Flags: Read / Write

Default value: BT_SETTINGS_PAGE_AUDIO_DEVICES

### The `“page-widget”` property

      “page-widget”              GtkWidget *

Current settings page widget.

Flags: Read

## See Also

BtSettings